From: Maximiliano Sandoval <m.sandoval@proxmox.com>
To: pve-devel@lists.proxmox.com
Subject: [pve-devel] [PATCH manager] pveproxy: create log directory when starting
Date: Tue, 15 Apr 2025 11:38:02 +0200 [thread overview]
Message-ID: <20250415093802.158334-1-m.sandoval@proxmox.com> (raw)
We only create this directory while installing the package. If a user
deletes /var/log then they will lose access to the web UI.
Signed-off-by: Maximiliano Sandoval <m.sandoval@proxmox.com>
---
bin/pveproxy | 18 +++++++++++++++---
1 file changed, 15 insertions(+), 3 deletions(-)
diff --git a/bin/pveproxy b/bin/pveproxy
index 20e8f2ab2..1090df039 100755
--- a/bin/pveproxy
+++ b/bin/pveproxy
@@ -19,12 +19,24 @@ $SIG{'__WARN__'} = sub {
$@ = $err;
};
+sub chown_to_www_data {
+ my ($dir) = @_;
+
+ my $gid = getgrnam('www-data') || die "getgrnam failed - $!\n";
+ my $uid = getpwnam('www-data') || die "getpwnam failed - $!\n";
+
+ chown($uid, $gid, $dir);
+}
+
my $prepare = sub {
my $rundir="/var/run/pveproxy";
+ my $logdir = '/var/log/pveproxy';
+
if (mkdir($rundir, 0700)) { # only works at first start if we are root)
- my $gid = getgrnam('www-data') || die "getgrnam failed - $!\n";
- my $uid = getpwnam('www-data') || die "getpwnam failed - $!\n";
- chown($uid, $gid, $rundir);
+ chown_to_www_data($rundir);
+ }
+ if (mkdir($logdir, 0700)) {
+ chown_to_www_data($logdir);
}
};
--
2.39.5
_______________________________________________
pve-devel mailing list
pve-devel@lists.proxmox.com
https://lists.proxmox.com/cgi-bin/mailman/listinfo/pve-devel
next reply other threads:[~2025-04-15 9:38 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-04-15 9:38 Maximiliano Sandoval [this message]
2025-04-16 8:23 ` Fabian Grünbichler
2025-04-16 9:21 ` Maximiliano Sandoval
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20250415093802.158334-1-m.sandoval@proxmox.com \
--to=m.sandoval@proxmox.com \
--cc=pve-devel@lists.proxmox.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
Service provided by Proxmox Server Solutions GmbH | Privacy | Legal